• 请教下,比如我想点击屏幕指定一块区域,这个指定区域是要怎么计算的。

  • 请问如何结合jekins

  • 使用过程中,发现不准确。我网络使用的wifi,给我统计的为gprs,流量值都是0KB

  • 不错,可以配置多个activity的吗?

  • C:\Users\Administrator>python -m uiautomator2 init 10.0.1.1:8000
    2018-05-08 14:26:59,427 - main.py:254 - INFO - atx-server addr 10.0.1.1:8000

    2018-05-08 14:26:59,506 - main.py:269 - INFO - Detect pluged devices: ['980f
    5397']
    2018-05-08 14:26:59,507 - main.py:286 - INFO - Device(980f5397) initialing .
    ..
    [Kminicap.so |################################| 13.2K / 13.2K
    [?25h2018-05-08 14:27:09,736 - main.py:113 - INFO - install minicap
    [Kminicap |################################| 357.9K / 357.9K
    [?25h2018-05-08 14:27:22,467 - main.py:120 - INFO - install minitouch
    [Kminitouch |################################| 29.5K / 29.5K
    [?25h2018-05-08 14:27:27,442 - main.py:143 - INFO - app-uiautomator.apk(1.0
    .13) installing ...
    Traceback (most recent call last):
    File "C:\Python36\lib\site-packages\urllib3\connectionpool.py", line 601, in u
    rlopen
    chunked=chunked)
    File "C:\Python36\lib\site-packages\urllib3\connectionpool.py", line 387, in _
    make_request
    six.raise_from(e, None)
    File "", line 2, in raise_from
    File "C:\Python36\lib\site-packages\urllib3\connectionpool.py", line 383, in _
    make_request
    httplib_response = conn.getresponse()
    File "C:\Python36\lib\http\client.py", line 1331, in getresponse
    response.begin()
    File "C:\Python36\lib\http\client.py", line 297, in begin
    version, status, reason = self._read_status()
    File "C:\Python36\lib\http\client.py", line 266, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
    http.client.RemoteDisconnected: Remote end closed connection without response

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "C:\Python36\lib\site-packages\requests\adapters.py", line 440, in send
    timeout=timeout
    File "C:\Python36\lib\site-packages\urllib3\connectionpool.py", line 639, in u
    rlopen
    _stacktrace=sys.exc_info()[2])
    File "C:\Python36\lib\site-packages\urllib3\util\retry.py", line 357, in incre
    ment
    raise six.reraise(type(error), error, _stacktrace)
    File "C:\Python36\lib\site-packages\urllib3\packages\six.py", line 685, in rer
    aise
    raise value.with_traceback(tb)
    File "C:\Python36\lib\site-packages\urllib3\connectionpool.py", line 601, in u
    rlopen
    chunked=chunked)
    File "C:\Python36\lib\site-packages\urllib3\connectionpool.py", line 387, in _
    make_request
    six.raise_from(e, None)
    File "", line 2, in raise_from
    File "C:\Python36\lib\site-packages\urllib3\connectionpool.py", line 383, in _
    make_request
    httplib_response = conn.getresponse()
    File "C:\Python36\lib\http\client.py", line 1331, in getresponse
    response.begin()
    File "C:\Python36\lib\http\client.py", line 297, in begin
    version, status, reason = self._read_status()
    File "C:\Python36\lib\http\client.py", line 266, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
    urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Re
    mote end closed connection without response',))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "C:\Python36\lib\runpy.py", line 193, in run_module_as_main
    "
    main", mod_spec)
    File "C:\Python36\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
    File "C:\Python36\lib\site-packages\uiautomator2__main
    .py", line 352, in odule>
    main()
    File "C:\Python36\lib\site-packages\uiautomator2__main
    .py", line 348, in ma
    in
    fire.Fire(MyFire)
    File "C:\Python36\lib\site-packages\fire\core.py", line 127, in Fire
    component_trace = _Fire(component, args, context, name)
    File "C:\Python36\lib\site-packages\fire\core.py", line 366, in _Fire
    component, remaining_args)
    File "C:\Python36\lib\site-packages\fire\core.py", line 542, in _CallCallable
    result = fn(*varargs, **kwargs)
    File "C:\Python36\lib\site-packages\uiautomator2__main
    .py", line 273, in in
    it
    ignore_apk_check)
    File "C:\Python36\lib\site-packages\uiautomator2__main
    .py", line 291, in _i
    nit_with_serial
    ins.install_uiautomator_apk(apk_version, reinstall)
    File "C:\Python36\lib\site-packages\uiautomator2__main
    .py", line 144, in in
    stall_uiautomator_apk
    path = cache_download(app_url)
    File "C:\Python36\lib\site-packages\uiautomator2__main
    _.py", line 73, in cac
    he_download
    r = requests.get(url, stream=True)
    File "C:\Python36\lib\site-packages\requests\api.py", line 72, in get
    return request('get', url, params=params, **kwargs)
    File "C:\Python36\lib\site-packages\requests\api.py", line 58, in request
    return session.request(method=method, url=url, **kwargs)
    File "C:\Python36\lib\site-packages\requests\sessions.py", line 508, in reques
    t
    resp = self.send(prep, **send_kwargs)
    File "C:\Python36\lib\site-packages\requests\sessions.py", line 618, in send
    r = adapter.send(request, **kwargs)
    File "C:\Python36\lib\site-packages\requests\adapters.py", line 490, in send
    raise ConnectionError(err, request=request)
    requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected(
    'Remote end closed connection without response',))

  • 是这个gohttpserver吗?

  • 具体是那个依赖库

  • 执行go get -v github.com/openatx/atx-server
    报错,错误如下:
    C:\Users\Administrator>go get -v github.com/openatx/atx-server
    github.com/openatx/atx-server

    github.com/openatx/atx-server

    go\src\github.com\openatx\atx-server\httpserver.go:397:5: hbs.OnReconnect undefi
    ned (type *heartbeat.Server has no field or method OnReconnect)

  • 支持一下,不错。

  • 😍 🎉

从事过web端,移动端,桌面端等的测试工作。
福建测试交流圈QQ群:213930664